#ifndef settingH
#define settingH

#include <qpe/qpeapplication.h>
#include <qpe/config.h>
#include <qmainwindow.h>

#include "mainwidget.h"
//-------------------------------------------------------------------
class MailConfig : public QMainWindow
{
	Q_OBJECT
public:
	MailConfig(QPEApplication *app);
	void run();
private slots:
	void onApply();
private:
	void trigger();
	void execute(QString command);
	void loadConfig();
	void saveConfig();
	int loadConfigValue(Config &cfg, QSpinBox *spn, QString key);

	QPEApplication *thisApp;
	MainWidget *widget;
};
//-------------------------------------------------------------------
#endif
