#ifndef MainWidgetH
#define MainWidgetH

#include <qpe/qpeapplication.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qgroupbox.h>

//-------------------------------------------------------------------
class MainWidget : public QWidget
{
	Q_OBJECT
public:
	QSpinBox* year;
	QSpinBox* month;
	QSpinBox* day;
	QSpinBox* hour;
	QSpinBox* minute;
	QSpinBox* interval;
	QCheckBox* disable;
	QCheckBox* usercmd;

	QSpinBox* enaHour1;
	QSpinBox* enaMinute1;
	QSpinBox* enaHour2;
	QSpinBox* enaMinute2;
	QPushButton *apply;
	QLineEdit *command;

	MainWidget( QWidget *parent, const char *name );
	~MainWidget();
private slots:
	void stopToggled(bool on);
	void cmdToggled(bool on);
private:
	QVBoxLayout *layout;
	QHBoxLayout *cmdgrp;
	QGroupBox *grp1;
	QGroupBox *grp2;

	QLabel* TextLabel1;
	QLabel* TextLabel2;
	QLabel* TextLabel3;
	QLabel* TextLabel4;
	QLabel* TextLabel5;
	QLabel* TextLabel6;
	QLabel* TextLabel7;
	QLabel* TextLabel8;
};
//-------------------------------------------------------------------
#endif
